import { authActionTypes } from '../action-types/auth-action.types';
const initialState = {
  user: {},
  workspaces: {},
};
export default (state = initialState, action) => {
  switch (action.type) {
    case authActionTypes.GET_USER:
      return { ...state, user: action.payload };

    case authActionTypes.GET_WORKSPACES:
      return { ...state, workspaces: action.payload };

    default:
      return state;
  }
};
